const ExtensionUtils = imports.misc.extensionUtils;
const GETTEXT_DOMAIN = 'gnome-trash';
const Gettext = imports.gettext.domain(GETTEXT_DOMAIN);
var _ = Gettext.gettext;
var SCHEMA_ID = 'org.gnome.shell.extensions.gnome-trash';
var TRASH_SORT = "trash-sort";
var ACTIVATION = "activation";
var HIDE_BUTTON = "hide-button";
var TRASH_SORT_FILE_NAME = 0;
var TRASH_SORT_DELETE_TIME = 1;
var ACTIVATION_OPEN = 0;
var ACTIVATION_RESTORE = 1;
var ACTIVATION_DELETE = 2;
var ExtensionSettings = class ExtensionSettings {
    constructor() {
        this._settings = ExtensionUtils.getSettings(SCHEMA_ID);
    }
    onChanged(callback) {
        this._settings.connect('changed', callback);
    }
    trashSort() {
        return this._settings.get_uint(TRASH_SORT);
    }
    activation() {
        return this._settings.get_uint(ACTIVATION);
    }
    hideButton() {
        return this._settings.get_boolean(HIDE_BUTTON);
    }
}
