const Me = imports.misc.extensionUtils.getCurrentExtension();
const ScrollMenu = Me.imports.scrollMenu;
const MenuItem = Me.imports.menuItem;
const log = Me.imports.log;
var TrashMenu = class TrashMenu extends ScrollMenu.ScrollMenu {
    constructor(onActivateItem, onDeleteItem, onRestoreItem) {
        super();
        this._onActivateItem = onActivateItem;
        this._onDeleteItem = onDeleteItem;
        this._onRestoreItem = onRestoreItem;
    }
    rebuildMenu(trash) {
        log.info(`rebuild menu`);
        super.removeAll();
        trash.forEach((info, _) => {
            let item = new MenuItem.MenuItem(info, this.onActivateItem.bind(this), this.onDeleteItem.bind(this), this.onRestoreItem.bind(this));
            super.addMenuItem(item);
        });
    }
    onActivateItem(item) {
        this._onActivateItem(item.fileInfo);
    }
    onDeleteItem(item) {
        this._onDeleteItem(item.fileInfo);
    }
    onRestoreItem(item) {
        this._onRestoreItem(item.fileInfo);
    }
}
